Bug 12988 - Giganet support needed in the kernel
Giganet support needed in the kernel
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-24 09:37 EDT by Becky Miller
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-02 15:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Becky Miller 2000-06-24 09:37:23 EDT
Giganet CLAN support needed to be included in the kernel. The latest 
version availible from Giganet is 1.1.1
Comment 1 Becky Miller 2000-07-17 09:34:00 EDT
http://www.giganet.com/support/index.htm
Comment 2 Michael K. Johnson 2000-08-01 18:06:01 EDT
Alan, what's your take on this driver?
Comment 3 Michael K. Johnson 2000-08-02 12:46:10 EDT
There appear to be license problems with the
connection manager software.  It is not clear
that we can ship it.
Comment 4 Alan Cox 2000-08-02 12:53:29 EDT
Apparent driver issues: Summary posted to the internal Red Hat lists. I don't
know if you want a copy to pass on to them Matt.
Comment 5 Matt Domsch 2000-08-02 12:55:06 EDT
We're interested in having the driver be part of the kernel, so it's easier to 
build and install clusters in our factories.  The drivers should have a 
reasonable licence, but Red Hat may not be able to ship the connection manager 
software.  Would you consider just including the drivers, and let others 
install the connection manager RPMs ourselves?
Comment 6 Michael K. Johnson 2000-08-02 15:31:12 EDT
Shipping the modules in a state that they cannot be used
would make the distribution non-self-hosting in that sense,
and I expect that we would not be willing to do that.
Comment 7 Michael K. Johnson 2000-08-02 16:05:26 EDT
Because the required clanmgr is non-open-source (and,
in fact, binary-only software), we can't include it.
I'm marking this as deferred in the hope that they
will release some sort of sufficient management software
under an Open Source license.

If I'm mistaken and clanmgr is not actually required
(we don't have this hardware available to work with),
post that information here and re-open this bug report.

Note You need to log in before you can comment on or make changes to this bug.